function f2 = contrast(mat)
%-------------------------------------------------------------------------
% function f2 = contrast(mat)
% 
% Calculation of the Contrast of a (256 x 256) symmetric matrix 
%
% input:    mat         (n x m) matrix
%
% output:   f2          contrast
%-------------------------------------------------------------------------
% Date: 31.10.2004
% Name: Maja Temerinac

f2 = 0;
for n=1:256
    res = 0;
    for i=1:256-n
        res = mat(i,i+n)+ res;  
    end
    f2 = n*n*2*res + f2;      
end