function f3 = correlation(mat)
%-------------------------------------------------------------------------
% function f3 = correlation(mat)
% 
% Calculation of the Correlation of a (n x m) matrix 
%
% input:    mat         (n x m) matrix
%
% output:   f3          correlation
%-------------------------------------------------------------------------
% Date: 1.11.2004
% Name: Maja Temerinac

[n m] = size(mat);
f3 = 0;
for i=1:n
    for j = 1:m
    f3 = (i-1)*(j-1)*mat(i,j) + f3;    
    end    
end

mat_x = sum(mat');
mat_y = sum(mat);

[mx sx] = mean_standard_deviation(mat_x);
[my sy] = mean_standard_deviation(mat_y);

f3 = (f3-mx*my)/(sx*sy);