function colordb = create_colordb_HSV(D)
%-------------------------------------------------------------------------
% function colordb = create_colordb_HSV(D)
% 
% Calculation of the feature database containing color features using
% co-occurence matrix
%
% input:    D                   distance in pixel for the calculation of the co-occurence matrix    
%
% output:   colordb             colordatabase containing the features
%                               vectors of pics i=1:m
%-------------------------------------------------------------------------
% Date: 2.11.2004
% Name: Maja Temerinac


colordb = struct('img_name',{},'ftsvec',{});
m = 999;
tic
for i = 0:m
    j = int2str(i);
    image_name = strcat(j,'.jpg');
    image = imread(image_name);
    fts_vec = create28_HSV_fts(image,D);
    colordb(i+1).img_name = image_name;
    colordb(i+1).ftsvec = fts_vec;
end
toc
