function colordb_blue = create_colordb_blue(colordb_rgb)
%-------------------------------------------------------------------------
% function colordb_blue = create_colordb_blue(colordb_rgb)
% 
% Creates the BLUE colordb from a RGB colordb
%
% input:    colordb_RGB    colordb1_RGB_0to999 = 
%
%                           1x1000 struct array with fields:
%                           img_name
%                           ftsvec 
%
% output:   colordb_blue      colordb1_BLUE_0to999 = 
%
%                           1x1000 struct array with fields:
%                           img_name
%                           ftsvec    
%-------------------------------------------------------------------------
% Date: 22.12.2004
% Name: Maja Temerinac
colordb = struct('img_name',{},'ftsvec',{});

for i = 1:1000

   colordb_blue(i).img_name = colordb_rgb(i).img_name;  
   
   colordb_blue(i).ftsvec = colordb_rgb(i).ftsvec(:,3);  
end