function colordb_hue = create_colordb_hue(colordb_hsv)
%-------------------------------------------------------------------------
% function colordb_hue = create_colordb_hue(colordb)
% 
% Creates the HUE colordb from a HSV colordb
%
% input:    colordb_HSV    colordb1_HSV_0to999 = 
%
%                           1x1000 struct array with fields:
%                           img_name
%                           ftsvec 
%
% output:   colordb_hue      colordb1_HUE_0to999 = 
%
%                           1x1000 struct array with fields:
%                           img_name
%                           ftsvec    
%-------------------------------------------------------------------------
% Date: 22.12.2004
% Name: Maja Temerinac
colordb = struct('img_name',{},'ftsvec',{});

for i = 1:1000

   colordb_hue(i).img_name = colordb_hsv(i).img_name;  
   
   colordb_hue(i).ftsvec = colordb_hsv(i).ftsvec(:,1);  
end