function colordb_saturation = create_colordb_saturation(colordb_hsv)
%-------------------------------------------------------------------------
% function colordb_saturation = create_colordb_saturation(colordb_hsv)
% 
% Creates the saturation colordb from a HSV colordb
%
% input:    colordb_HSV    colordb1_HSV_0to999 = 
%
%                           1x1000 struct array with fields:
%                           img_name
%                           ftsvec 
%
% output:   colordb_saturation      colordb1_saturation_0to999 = 
%
%                           1x1000 struct array with fields:
%                           img_name
%                           ftsvec    
%-------------------------------------------------------------------------
% Date: 22.12.2004
% Name: Maja Temerinac

colordb = struct('img_name',{},'ftsvec',{});

for i = 1:1000

   colordb_saturation(i).img_name = colordb_hsv(i).img_name;  
   
   colordb_saturation(i).ftsvec = colordb_hsv(i).ftsvec(:,2);  
end