function fvec = create_gray_entropy(image,D)
%-------------------------------------------------------------------------
% function fvec = create_gray_entropy(image,D)
% 
% Calculation of the feature vector
%
% input:    image              (n x m x 3) matrix containing information about a rgb
%                               picture      
%           D                   distance in pixel for the calculation of the co-occurence matrix    
%
% output:   fvec                feature vector
%-------------------------------------------------------------------------
% Date: 26.12.2004
% Name: Maja Temerinac

%feature vector containing
%asm(mean,range),contrast(mean,range),entropy(mean,range),
%idm(mean,contrast),correlation(mean,range),im1(mean,range),im2(mean,range)

n = 2;
fvec = zeros(n,1);

%creating hsv image from rgb and scaling to values in the range 0,..,255
%integer
image = rgb2gray(image);

%compute co-occurance matrix
%yuv
[rmat1,rmat2,rmat3,rmat4] = cooc(image,1,D);

%compute mean value
%y
rmat_mean = (rmat1+rmat2+rmat3+rmat4)/4;

%compute range value
%y
rmat_range = max(rmat1,max(rmat2,max(rmat3,rmat4)))-min(rmat1,min(rmat2,min(rmat3,rmat4)));


%mean value of entropy
%y
m_rentropy = entropy(rmat_mean);

fvec(1) = m_rentropy;

%range value of entropy
%y
r_rentropy = entropy(rmat_range);

fvec(2) = r_rentropy;

