function f11 = diffentropy(mat)
%-------------------------------------------------------------------------
% function f11 = diffentropy(mat)
% 
% Calculation of the Difference Entropy of a (n x m) matrix 
%
% input:    mat         (n x m) matrix
%
% output:   f11          difference entropy of a (n x m) matrix
%-------------------------------------------------------------------------
% Date: 7.11.2004
% Name: Maja Temerinac
[n m] = size(mat);
f11 = 0;
epsilon = 0.0000000000001;
ps = p_xminusy(mat);

for k = 1:m
    f11 = f11 + ps(1,k)*log2(ps(1,k)+epsilon);
end

f11 = -f11;