function f10 = diffvar(mat)
%-------------------------------------------------------------------------
% function f10 = diffvar(mat)
% 
% Calculation of the Difference Variance of a (n x m) matrix 
%
% input:    mat         (n x m) matrix
%
% output:   f10          difference average of a (n x m) matrix
%-------------------------------------------------------------------------
% Date: 7.11.2004
% Name: Maja Temerinac
[n m] = size(mat);
f10 = 0;
ps = p_xminusy(mat);
difference_average = diffav(mat);

for k = 0:m-1
    f10 = f10 + (k-difference_average)^2*ps(1,k+1);
end