function val = find_sim_images_saturation(image,colordb,D)
%-------------------------------------------------------------------------
% function val = find_sim_images_28sum_HSV(image,colordb)
% 
% Calculation of the most similar images from the db given a reference
% image
%
% input:    image                reference rgb image
%           colordb              color database  
%           D                    distance in the co-occurence matrix  
%
% output:   val                   (n x 2) vector for the distance between the feature vector of the  sum 
%                                 of the  colors red green
%                                 and blue of the image and the feature
%                                 vector of each image in the colordb
%                                 sorted in ascending order. In one row the
%                                 values of the absolut difference of the
%                                 features vectors and the number of the
%                                 image of the database that is compared to
%                                 the input image interchange for the
%                                 sum of the colors red, green and blue
%-------------------------------------------------------------------------
% Date: 22.12.2004
% Name: Maja Temerinac

[m n] = size(colordb);

% Here you can choose the number of features 
%---------------------------------------------------
ftsvec_image = create28_HSV_fts(image,D);
ftsvec_image = ftsvec_image(:,2);
%----------------------------------------------------
abstand_db = zeros(n,1);
for i= 1:n
    spalte = colordb(i).ftsvec;
    abstand = norm(ftsvec_image-spalte);
    abstand_db(i) = abstand;
end

[abstand index] = sort(abstand_db);


val = [abstand,index-1];