function f14 = mcc(mat)
%-------------------------------------------------------------------------
% function f14 = mcc(mat)
% 
% Calculation of the Maximal Correlation Coefficient of a (m x n) matrix
%
% input:    mat             (m x n)matrix    
%
% output:   f14            maximal correlation coefficient
%-------------------------------------------------------------------------
% Date: 7.11.2004
% Name: Maja Temerinac
[n m]=size(mat);

px = sum(mat');
py = sum(mat);

A = zeros(n,m);
B = zeros(n,m);

for i = 1:n
    if (px(i) == 0)
        A(i,:)=0;
    else
        A(i,:)=mat(i,:)/px(i);
    end
end

for j = 1:m
    if (py(j) == 0)
        B(:,j)=0;
    else
        B(:,j)=mat(:,j)/py(j);
    end
end

qmat = A*B';






%for i = 1:n
%    for j =1:m
%       qhelp = 0;
%       for k = 1:n 
%        if(px(i)== 0 || py(k)==0)
 %       qhelp = qhelp + 0;    
 %       else
%        qhelp = qhelp + mat(i,k)*mat(j,k)/(px(i)*py(k));
%        end
%       end
%   qmat(i,j)= qhelp;   
%end
%end

eigen_value = eig(qmat);
[a b] = size(eigen_value); 
sorted_eig = sort(eigen_value);

f14 = sorted_eig(a-1,b);
f14 = sqrt(f14);
