function [mean,stdev] = mean_standard_deviation(x)
%-------------------------------------------------------------------------
% function [mean,stdev] = mean_standard_deviation(x)
% 
% Calculation of the mean and the standard deviation value of a probability vector x 
%
% input:    x               probability vector x
%
% output:   mean,stdev      mean and standrad deviation of x
%-------------------------------------------------------------------------
% Date: 1.11.2004
% Name: Maja Temerinac

n = length(x);
mean = 0;
stdev = 0;
for i = 1:n
    mean = mean + (i-1)*x(i);            
end
for i = 1:n
    stdev = stdev + x(i)*((i-1)-mean)^2;            
end

stdev = sqrt(stdev);