function val = plot_similar_pics_28sum_HSV(pic,colordb,D)
%-------------------------------------------------------------------------
% function val = plot_similar_pics_28sum_HSV(pic,colordb)
% 
% Plots the most similiar imageges from the color database as compared to a
% input picture
%
% input:    pic                 name of a picture(string)  
%           colordb             color database containing several pictures
%                               and their feature vectors for sum(HSV)
%                      
%           D                   distance in the co-occurence matrix
%
% output:   val                 figure with the most similiar 12 pics for
%                               sum(HSV)
%-------------------------------------------------------------------------
% Date: 6.11.2004
% Name: Maja Temerinac


image = imread(pic);
similar_vector = find_sim_images_28sum_HSV(image,colordb,D);

k = similar_vector(1,2);
j = int2str(k);
image_name = strcat(j,'.jpg');
subplot(5,3,2);
imshow(image_name);
title('similiarity according to sum(HSV) 28 features')

for i=2:13
k = similar_vector(i,2);
j = int2str(k);
image_name = strcat(j,'.jpg');
subplot(5,3,2+i);
imshow(image_name);
end




