function val = plot_similar_pics_HSV(pic,colordb,D)
%-------------------------------------------------------------------------
% function val = plot_similar_pics_HSV(pic,colordb)
% 
% Plots the most similiar imageges from the color database as compared to a
% input picture
%
% input:    pic                 name of a picture(string)  
%           colordb             color database containing several pictures
%                               and their feature vectors for colors red,green and blue
%           D                   distance in the co-occurence matrix
%
% output:   val                 6 figures with the most similiar pics for
%                               hue,saturation and value
%-------------------------------------------------------------------------
% Date: 6.11.2004
% Name: Maja Temerinac
image = imread(pic);
%creating hsv image from rgb and scaling to values in the range 0,..,255
%integer
image = uint8(255*rgb2hsv(image));

similar_vector = find_sim_images(image,colordb,D);

%similiarity according to red


k = similar_vector(1,2);
j = int2str(k);
image_name = strcat(j,'.jpg');
subplot(5,3,2);
imshow(image_name);
title('similiarity according to hue')

for i=2:13
k = similar_vector(i,2);
j = int2str(k);
image_name = strcat(j,'.jpg');
subplot(5,3,2+i);
imshow(image_name);
end

figure

%similiarita according to green
k = similar_vector(1,4);
j = int2str(k);
image_name = strcat(j,'.jpg');
subplot(5,3,2);
imshow(image_name);
title('similiarity according to saturation')

for i=2:13
k = similar_vector(i,4);
j = int2str(k);
image_name = strcat(j,'.jpg');
subplot(5,3,2+i);
imshow(image_name);
end
figure

%similiarity according to blue
k = similar_vector(1,6);
j = int2str(k);
image_name = strcat(j,'.jpg');
subplot(5,3,2);
imshow(image_name);
title('similiarity according to value')

for i=2:13
k = similar_vector(i,6);
j = int2str(k);
image_name = strcat(j,'.jpg');
subplot(5,3,2+i);
imshow(image_name);
end
