function f8 = sumentropy(mat)
%-------------------------------------------------------------------------
% function f8 = sumentropy(mat)
% 
% Calculation of the Sum Entropy of a (n x m) matrix 
%
% input:    mat         (n x m) matrix
%
% output:   f8          sum entropy of a (n x m) matrix
%-------------------------------------------------------------------------
% Date: 7.11.2004
% Name: Maja Temerinac
[n m] = size(mat);
f8 = 0;
epsilon = 0.0000000000001;
ps = p_xplusy(mat);

for k = 2:n+m
    f8 = f8 + ps(1,k)*log2(ps(1,k)+epsilon);
end

f8 = -f8;